%global momorel 0.2
%global betaver beta1

Summary: A graphical LDAP directory browser and editor.
Name: gq
Version: 1.0
Release: %{momorel}m
Source: http://dl.sourceforge.net/sourceforge/gqclient/%{name}-%{version}%{betaver}.tar.gz
URL: http://biot.com/gq/
Group: Applications/Internet
License: GPL
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: openldap-devel >= 2.1.22-2m
BuildPrereq: gtk+-devel
BuildPrereq: autoconf
Requires: openldap
Requires: gtk+
NoSource: 0

%description
GQ is a graphical browser for LDAP directories and schemas.  Using GQ,
an administrator can search through a directory and modify objects stored
in that directory.

%prep
%setup -q -n gq-%{version}%{betaver}
#%%patch0 -p1 -b .init

%build
autoconf
%configure --with-ldap-prefix=%{_prefix}
make

%clean
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
%makeinstall

%files
%defattr(-,root,root)
%doc README INSTALL COPYING ChangeLog NEWS TODO AUTHORS
%{_bindir}/*
%{_datadir}/gnome/apps/Internet/gq.desktop
%{_datadir}/pixmaps/%{name}/*

%changelog
* Wed Mar 30 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (1.0.0-0.2m)
- remove dependency gtk+1-devel

* Sun Mar 27 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (1.0.0-0.1m)
- update 1.0-beta1

* Sat Mar 20 2004 Toru Hoshina <t@momonga-linux.org>
- (0.6.0-7m)
- revised spec for enabling rpm 4.2.

* Mon Nov 10 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (0.6.0-6m)
- rebuild against openldap

* Wed Jun 18 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.6.0-5m)
  rebuild against cyrus-sasl2

* Sat Mar  8 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.6.0-4m)
  rebuild against openssl 0.9.7a

* Mon Feb 10 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.6.0-3m)
- rebuild against for gdbm

* Fri Jul 26 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.6.0-2m)
- remake configure by automake(for gcc3.1)

* Sat Jul 13 2002 HOSONO Hidetomo <h@h12o.org>
- (0.6.0-1k)
- version up.
- change the value of Source: 

* Fri Nov 02 2001 Motonobu Ichimura <famao@kondara.org>
- (0.4.0-6k)
- add BuildPrereq,Requires Tag

* Sat Apr 14 2001 Toru Hoshina <toru@df-usa.com>
- rebuild against openssl 0.9.6.

* Fri Mar  2 2001 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment

* Tue Feb 20 2001 Nalin Dahyabhai <nalin@redhat.com>
- update to 0.4.0, fixes bugs #24160, #24161

* Wed Dec 27 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 0.3.1

* Fri Dec  1 2000 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment

* Fri Nov 10 2000 Nalin Dahyabhai <nalin@redhat.com>
- initial package
